routes/web.php
<?php

use App\Http\Controllers\web\LanguageController;
use App\Http\Controllers\web\ContactController;
use App\Http\Controllers\web\DarkThemeController;
use App\Http\Controllers\web\CommentController;
use App\Http\Controllers\web\OrderController;
use App\Http\Controllers\web\ProductController;
use App\Http\Controllers\web\UserController;
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\web\CategoryController;
use \App\Http\Controllers\web\CartController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
//    return view('welcome');
//});
Route::view('/', 'static_sites.start')->name('start_view');
Route::post('/contact', ContactController::class)->name('web.contact_form');
Route::view('/contact', 'static_sites.contact')->name('contact_view');

Route::redirect('products/comments', '/products/comments/start');
Route::resource('products', ProductController::class, ['as' => 'web', 'except' => '']);
//Route::resource('products', ProductController::class);
Route::resource('products.comments', CommentController::class, ['as' => 'web', ]);
Route::get('products/comments/start', [CommentController::class, 'start'])->name('web.products.start');
Route::get('products/{slug}', [ProductController::class, 'show'])->name('web.products.show');

Route::group([
    // 'prefix' => 'pl', //  do geta
    'as' => 'web.',
    'middleware' => [
        // 'verified',
        // 'auth',
        // 'userLogs'
    ],
    ], function() {
        Route::get('categories/', [CategoryController::class, 'index'])->name('categories.index');
        // Route::get('categories/{category}', [CategoryController::class, 'show'])->name('categories.show');
        Route::get('categories/{slug}', [CategoryController::class, 'show'])->name('categories.show');

        // Route::get('users', [UserController::class, 'index'])->name('users.index');
        // Route::get('users/{user}', [UserController::class, 'edit'])->name('users.edit');
        // Route::delete('users/{user}', [UserController::class, 'destroy'])->name('user.delete');
        Route::resource('users', UserController::class)->only(['index', 'edit', 'update', 'destroy']);

        Route::get('cart/index', [CartController::class, 'index'])->name('cart.index');
        Route::post('cart/{product}/{goBackWithMessage?}', [CartController::class, 'store'])->name('cart.store');
        Route::delete('cart/{product}', [CartController::class, 'destroy'])->name('cart.destroy');

        Route::get('orders', [OrderController::class, 'index'])->name('orders.index');
        Route::post('orders', [OrderController::class, 'store'])->name('orders.store');
        Route::get('orders/{order}', [OrderController::class, 'show'])->name('orders.show');
    }
);

Route::get('/dark-theme', DarkThemeController::class)->name('web.dark_theme');
Route::get('lang/{lang}', [LanguageController::class, 'switchLang'])->name('web.lang_switch');

resources/views/layout/my_monolit/aside.blade.php
<aside class="text-center">
    <div class="mb-2 p-3">
        <p class="small text-muted">TODO: Emails: Events and Listeners</p>
    </div>
    <a class="text-decoration-none" href="{{ route('web.products.start')  }}">
        <div class="mb-2 p-3">
            <p class="lead">{{ __('aside.comments') }}</p>
        </div>
    </a>
    <a class="text-decoration-none" href="{{ route('web.users.index')  }}">
        <div class="mb-2 p-3">
            <p class="lead">{{ __('aside.users') }}</p>
        </div>
    </a>
    <a class="text-decoration-none" href="{{ route('web.orders.index')  }}">
        <div class="mb-2 p-3">
            <p class="lead">{{ __('aside.orders') }}</p>
        </div>
    </a>
    <a class="text-decoration-none" href="{{ route('web.products.create') }}">
        <div class="mb-2 p-3">
            <p class="lead">{{ __('aside.product') }}</p>
        </div>
    </a>

    <div class="p-2 mb-2 categories">
        <p class="lead mb-2"><a href="{{ route('web.categories.index') }}">Categories</a></p>

{{--        @foreach($categories as $item)--}}
{{--        @endforeach--}}
{{--        {{ dd($category->name) }}--}}
{{--        {{ Request::route()->getName() }}--}}
{{--        {{ request()->input('category') }}--}}
{{--            {{ $product->category_id }}--}}
        <ul class="list-group">
            @forelse($categories as $item)
                <li class="list-group-item p-0
                     @isset($category->name) @if($category->name == $item->name) active @endif @endisset
                     @isset($product) @if($product->category_id == $item->id) active @endif @endisset
                    " aria-current="true"
                >
                    <a class="d-block py-2
                        @isset($category->name) @if($category->name == $item->name) text-white @endif @endisset
                        @isset($product) @if($product->category_id == $item->id) text-white @endif @endisset
                        " href="{{ route('web.categories.show', ['slug' => $item->slug]) }}">{{ $item->name }}
                    </a>
                </li>
            @empty
                <p>No categosies</p>
            @endforelse
        </ul>
    </div>

    <div class="p-2 mb-2">
        <p class="lead">Small improvment</p>
        <hr>
        <ol class="small text-muted text-start">
            <li>Font awesome we wlasnych stylach</li>
            <li>jQery z resources</li>
            <li>Ajax? - csrf vs csrf z headera?</li>
        </ol>
    </div>

    <div class="p-2 mb-2">
        <p class="lead">Bigger improvement</p>
        <hr>
        <ol class="small text-muted text-start">
           <li>Sqlite to mysql: Database agnostic</li>
           <li>Docker</li>
           <li>Swagger</li>
            <li>CICD - github actions</li>
        </ol>
    </div>

</aside>

resources/views/layout/my_monolit/footer.blade.php
<div class="container">
    <hr>
    <p class="small text-muted text-center">&copy; 2021</p>
</div>

resources/views/layout/my_monolit/nav.blade.php
<div class="container mb-2">
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="{{ route('start_view') }}">
{{--                 {{ env('APP_NAME') }} || php artisan config:cache--}}
                {{ config('app.name') }}
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav me-auto">
                    <li class="nav-item">
                        <a class="nav-link  @if (Request::route()->getName() == 'start_view') active  @endif" aria-current="page" href="{{ route('start_view') }}">
                            {{ __('site_elements/nav.start') }}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link @if (Request::route()->getName() == 'web.products.index') active  @endif" href="{{ route('web.products.index') }}">
                            {{ __('site_elements/nav.products') }}
                        </a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            {{ __('site_elements/nav.api.title') }}
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('api.products.pagination') }}/2">
                                    {{ __('site_elements/nav.api.pagination') }}
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('api.products.index') }}">
                                    {{ __('site_elements/nav.api.products') }}
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('api.products.show', ['product' => 10]) }}">
                                    {{ __('site_elements/nav.api.product') }}
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('api.cart.index' ) }}">
                                    {{ __('site_elements/nav.api.cart.index') }}
                                </a>
                            </li>
                        </ul>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link @if (Request::route()->getName() == 'contact_view') active  @endif" href="{{ route('contact_view') }}">
                            {{ __('site_elements/nav.contact') }}

                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('start_view') }}/telescope">
                            {{ __('site_elements/nav.telescope') }}
                        </a>
                    </li>
                </ul>
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('web.cart.index') }}">
                            <i class="fas fa-shopping-cart"></i>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('web.dark_theme') }}">
                            @if (session('isDark'))
                                <i class="far fa-sun small"></i>
                            @else
                                <i class="far fa-moon small"></i>
                            @endif
                        </a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            {{ Config::get('languages')[App::getLocale()] }}
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            @foreach (Config::get('languages') as $lang => $language)
                                @if ($lang != App::getLocale())
                                    <li class="nav-item">
                                        <a class="dropdown-item" href="{{ route('web.lang_switch', $lang) }}"> {{$language}}</a>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</div>